Set variables
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Set variables action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Set Variables",
"type": "SET_VARIABLES",
"trigger_time": "ON_EVERY_EXECUTION",
"comment": "comment",
"variables": [
{
"key": "var3",
"init_path": "/fileWithOptions"
},
{
"key": "var2",
"defaults": "option1\noption2"
},
{
"key": "var1"
},
{
"key": "var4"
}
]
}'STATUS200 OK